Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 555870 - dev-java/batik-1.8-r1: missing || die calls
Summary: dev-java/batik-1.8-r1: missing || die calls
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-25 13:57 UTC by Khumba
Modified: 2015-07-25 14:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Khumba 2015-07-25 13:57:19 UTC
As Marius (marbre) points out in his first round of comments here[1], the batik-1.8-r1 ebuild is missing a couple of 'die' statements:

--- batik-1.8-r1.ebuild.orig    2015-07-25 06:48:16.960887218 -0700
+++ batik-1.8-r1.ebuild 2015-07-25 06:48:34.343886863 -0700
@@ -50,11 +50,11 @@
        imports+=(sources/org/apache/batik/script/jacl/JaclInterpreterFactory.java)
        for import in ${imports[@]}; do
                einfo "Fixing missing import in ${import}"
-               sed -i '23i import org.apache.batik.script.ImportInfo;' ${import}
+               sed -i '23i import org.apache.batik.script.ImportInfo;' ${import} || die
                eend $?
        done
 
-       cd lib
+       cd lib || die
        rm -v *.jar build/*.jar || die
        use python && java-pkg_jar-from jython
        use tcl && java-pkg_jar-from jacl

[1] https://github.com/gentoo-science/sci/pull/456
Comment 1 James Le Cuirot gentoo-dev 2015-07-25 14:46:02 UTC
Merged, thanks.